kind: CronJob
apiVersion: batch/v1
metadata:
  name: prow-fail-slack
  namespace: rbost
spec:
  schedule: 0 * * * *
  concurrencyPolicy: Allow
  suspend: false
  jobTemplate:
    metadata:
      creationTimestamp: null
    spec:
      template:
        metadata:
          creationTimestamp: null
        spec:
          containers:
            - name: hello
              image: quay.io/bostrt/prow-fail-slack
              env:
                - name: WEBHOOK_URL
                  valueFrom:
                    secretKeyRef:
                      name: prow-fail-slack
                      key: webhook-url
                - name: SEARCH_STRING
                  valueFrom:
                    secretKeyRef:
                      name: prow-fail-slack
                      key: search-string
              resources: {}
              terminationMessagePath: /dev/termination-log
              terminationMessagePolicy: File
              imagePullPolicy: IfNotPresent
          restartPolicy: OnFailure
          terminationGracePeriodSeconds: 30
          dnsPolicy: ClusterFirst
          securityContext: {}
          schedulerName: default-scheduler
  successfulJobsHistoryLimit: 3
  failedJobsHistoryLimit: 1


